Skip to main content
Contact / Types

Get a list of contact types

'This method requires the Contacts:Get permission to be associated with your role.'

GET
/fm/contact/types
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
report_typeenum<string>query

(Optional) Filter by report type

Available options: periodic-lease, combined, recharge, recharge-fuel, pay-run, pay-run-reports
include_inactive_flagenum<string>querydefault:no

Set to yes if inactive contact types required in the list

Available options: yes, no
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1